Bug 111141 - gnome-media missing unknown BuildRequires, scrollkeeper DESTDIR needs fixing
Summary: gnome-media missing unknown BuildRequires, scrollkeeper DESTDIR needs fixing
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-media   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-28 14:21 UTC by Maxim Dziumanenko
Modified: 2007-04-18 16:59 UTC (History)
1 user (show)

Fixed In Version: 2.6.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-18 19:52:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maxim Dziumanenko 2003-11-28 14:21:28 UTC
Description of problem:
1. gstreamer-libs-0.6 needed by pkgconfig to build gnome-media, thus
gnome-media should BuildRequires: gstreamer-plugins-devel
2. gnome-desktop headers and development libs needed to build
GStreamer capplet (according to configure.in from gnome-media package)

Version-Release number of selected component (if applicable):
gnome-media-2.4.0-2

How reproducible:
Always

Steps to Reproduce:
1.rpm -e gstreamer-plugins-devel
2.rpmbuild --rebuild gnome-media-2.4.0-2.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:

Comment 1 Miloslav Trmac 2003-11-28 16:10:26 UTC
Triage->Easyfix

Comment 2 Miloslav Trmac 2004-03-03 14:38:05 UTC
gstreamer-libs-0.7 are needed in gnome-media-2.5.4-1,
gnome-desktop AFAICS isn't.

Comment 3 Warren Togami 2004-04-15 10:47:40 UTC
automake
libtool
gstreamer-plugins-devel
gettext

RPM build errors:
    File not found by glob: /var/tmp/gnome-media-2.6.0-root/usr/lib/*.so.*
    File not found by glob:
/var/tmp/gnome-media-2.6.0-root/usr/lib/libglade/2.0/*.so
    File not found by glob: /var/tmp/gnome-media-2.6.0-root/usr/lib/*.so

Still missing something...

Comment 4 Michael Schwendt 2004-04-16 13:37:40 UTC
What makes you think something's missing? Look at the damage in
/var/tmp/gnome-media-2.6.0-root/usr/lib/

--- gnome-media.spec.orig       2004-04-02 09:56:32.000000000 +0200
+++ gnome-media.spec    2004-04-16 15:36:39.507417144 +0200
@@ -47,8 +47,9 @@
 %build
 
 # .uniquecd modifies gnome-cd/Makefile.am
+libtoolize --force
 aclocal
-automake
+automake -a -c
 autoconf
 intltoolize --force
 %configure

Comment 5 Colin Walters 2004-05-18 19:52:50 UTC
This all looks fixed here.


Note You need to log in before you can comment on or make changes to this bug.